Subject: Re: [calsify] jscalendar, alarm and related

From: "Robert Stepanek" <[email-masked]>
Date: Fri, 01 Mar 2019 04:10:05 -0500

The next RFC update will define a SignedDuration type for alert triggers.

Cheers,
Robert

On Thu, Feb 28, 2019, at 9:06 PM, Andrew Laurence wrote:
> IIRC, negative durations are in the 8601-2 draft.
> 
> -Andrew
> 
>> On Feb 28, 2019, at 4:08 AM, Ken Murchison <[email-masked]> wrote:
>> 
>> I'm in agreement with Mike and Alexander in that we should allow negative durations in jcalendar in the same fashion as iCalendar.

>> On 2/25/19 10:19 PM, Michael Douglass wrote:
>>> 

>>> On 2/25/19 22:14, Neil Jenkins wrote:
>>>> On Tue, 26 Feb 2019, at 14:12, Michael Douglass wrote:
>>>>> I don't think it needs a new syntax - it's (["+"] | "-") followed by duration.
>>>> 
>>>> That's a new syntax by definition. And that doesn't go in to the point of existing object interpretations may not support negative durations (e.g. may use an unsigned int for the internal representation); the point is you may now have compatibility issues with existing code and whether this is sufficiently better to be worth that tradeoff.
>>> What existing code? This is in reference to alarms which in icalendar are specified by negative or positive trigger values. Any reimplementation of alarm code for jscalendar will have to take account of the difference.

>>> From icalendar 3.3.6

>>>        dur-value  = (["+"] / "-") "P" (dur-date / dur-time / dur-week)
>>> 
>>> I already have a parser which handles negative durations. I already check for and disallow negative durations for events.
>>> 
>>>> Neil.
>>>> 
>>>> _______________________________________________
calsify mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/calsify
>>>> 
>>> 
>>> _______________________________________________
calsify mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/calsify
>>> 
>> -- 
Ken Murchison
Cyrus Development Team
FastMail US LLC
>> <murch.vcf>_______________________________________________
>> calsify mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/calsify
> _______________________________________________
> calsify mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/calsify
>